# fix_modify AtC mesh read

## syntax

fix_modify AtC mesh read <filename> <f|p> <f|p> <f|p>

- filename = name of file containing mesh to be read
- f p p = periodicity flags for x, y, z

## examples

`fix_modify AtC mesh read myComponent.mesh p p p`
`fix_modify AtC mesh read myOtherComponent.exo`

## description

Reads a mesh from a text or exodus file, and assigns periodic boundary conditions if needed.

## restrictions

## related

## default

periodicity flags are false by default